linux-ec2: 2.6.32-340.40 -proposed tracker

Bug #888700 reported by Brad Figg on 2011-11-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Herton R. Krzesinski
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 10. November 2011 19:17 UTC
kernel-stable-Certification-testing-end:Thursday, 10. November 2011 19:31 UTC
kernel-stable-Prepare-package-end:Thursday, 17. November 2011 20:16 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 17. November 2011 20:16 UTC
kernel-stable-Promote-to-proposed-end:Friday, 18. November 2011 17:01 UTC
kernel-stable-Verification-testing-start:Friday, 18. November 2011 17:01 UTC
kernel-stable-Security-signoff-start:Friday, 18. November 2011 19:01 UTC
kernel-stable-Verification-testing-end:Friday, 18. November 2011 19:01 UTC
kernel-stable-Regression-testing-start:Friday, 18. November 2011 19:01 UTC
kernel-stable-Security-signoff-end:Friday, 18. November 2011 21:16 UTC
kernel-stable-Promote-to-updates-start:Friday, 18. November 2011 22:01 UTC
kernel-stable-Regression-testing-end:Friday, 18. November 2011 22:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 21. November 2011 07:34 UTC
kernel-stable-Promote-to-updates-end:Monday, 21. November 2011 07:34 UTC

This tracking bug was opened to be worked from linux-2.6.32-36.79 update (bug 887727)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-11-10
description: updated
Stefan Bader (smb) on 2011-11-16
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-340.40 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-11-18
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-18
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs are verified, releasing for testing.

Brad Figg (brad-figg) on 2011-11-18
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-18
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-11-18
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-340.40

---------------
linux-ec2 (2.6.32-340.40) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-36.79
  * Release Tracking Bug
    - LP: #888700

  [ Ubuntu: 2.6.32-36.79 ]

  * net_sched: Fix qdisc_notify() - CVE-2011-2525
    - LP: #869250
    - CVE-2011-2525
  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * vm: fix vm_pgoff wrap in stack expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in upward expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * drm: mm: fix range restricted allocations
    - LP: #873130
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
 -- Stefan Bader <email address hidden> Mon, 14 Nov 2011 17:04:46 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers